{% extends "base.html" %}

{% block styling %}
<link rel="stylesheet" href="{{ url_for('static', filename='css/stocks_style.css') }}">
{% endblock %}

{% block content %}
<h2>List of Stocks:</h2>
<br>

<table id="stock-table">
  <!-- Table Header Row -->
  <tr>
    <th>Stock Symbol</th>
    <th>Number of Shares</th>
    <th>Purchase Price</th>
    <th>Purchase Date</th>
    <th>Current Share Price</th>
    <th>Stock Position Value</th>
  </tr>

  <!-- Table Elements (Rows) -->
  {% for stock in stocks %}
    <tr>
      <td><a href="{{ url_for('stocks.stock_details', id=stock.id) }}">{{ stock.stock_symbol }}</a></td>
      <td>{{ stock.number_of_shares }}</td>
      <td>${{ stock.purchase_price / 100 }}</td>
      <td>{{ stock.purchase_date.strftime("%Y-%m-%d") }}</td>
      <td>${{ stock.current_price / 100 }}</td>
      <td>${{ stock.position_value / 100 }}</td>
    </tr>
  {% endfor %}

  <tr>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td><b>TOTAL VALUE</b></td>
    <td><b>${{ value }}</b></td>
  </tr>
</table>
{% endblock %}
